begin;
INSERT INTO tournaments 
  (season, tournamentname, country, location, "date", machine, scoringsystem) VALUES (
    (SELECT season FROM seasons WHERE seasonname='Frittstående' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
    'Trondheimsturnering',
    (SELECT country FROM countries WHERE countryname='Norway'),
    'Megazone Trondheim',
    '2004-04-23',
    (SELECT machine FROM machines WHERE machinename='Dancing Stage EuroMix 2'),
    (SELECT scoringsystem FROM scoringsystems WHERE scoringsystemname='10K Machine score')
);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Sesse' AS nick, ( SELECT country FROM countries WHERE countryname='Norway' ) AS country WHERE 'Sesse' NOT IN ( SELECT nick FROM players );
INSERT INTO tournamentrankings (tournament, ranking, player, points) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1,
   (SELECT player FROM players WHERE nick='Sesse'),
   NULL);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Dashiva' AS nick, ( SELECT country FROM countries WHERE countryname='Norway' ) AS country WHERE 'Dashiva' NOT IN ( SELECT nick FROM players );
INSERT INTO tournamentrankings (tournament, ranking, player, points) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2,
   (SELECT player FROM players WHERE nick='Dashiva'),
   NULL);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'wa-ho' AS nick, ( SELECT country FROM countries WHERE countryname='Norway' ) AS country WHERE 'wa-ho' NOT IN ( SELECT nick FROM players );
INSERT INTO tournamentrankings (tournament, ranking, player, points) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   3,
   (SELECT player FROM players WHERE nick='wa-ho'),
   NULL);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )) AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )) AND 
  round=1;
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1, 0,
   (SELECT player FROM players WHERE nick='Sesse'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1, 0,
   (SELECT player FROM players WHERE nick='Sesse'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   'f',
   8077);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1, 0,
   (SELECT player FROM players WHERE nick='Sesse'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   't',
   7932);
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1, 0,
   (SELECT player FROM players WHERE nick='wa-ho'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1, 0,
   (SELECT player FROM players WHERE nick='wa-ho'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   'f',
   5917);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1, 0,
   (SELECT player FROM players WHERE nick='wa-ho'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   7153);
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1, 0,
   (SELECT player FROM players WHERE nick='Dashiva'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1, 0,
   (SELECT player FROM players WHERE nick='Dashiva'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   'f',
   7602);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   1, 0,
   (SELECT player FROM players WHERE nick='Dashiva'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   6799);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Cotton-Eye Joe'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )) AND 
  round=2;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )) AND 
  round=2;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )) AND 
  round=2;
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='Dashiva'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='Dashiva'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Cotton-Eye Joe')),
   'f',
   5967);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='Dashiva'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   7615);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='Dashiva'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Vanity Angel')),
   't',
   6418);
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='wa-ho'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='wa-ho'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Cotton-Eye Joe')),
   'f',
   5070);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='wa-ho'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   't',
   6425);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='wa-ho'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   6733);
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='Sesse'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='Sesse'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Cotton-Eye Joe')),
   'f',
   6047);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='Sesse'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   7820);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE tournamentname='Trondheimsturnering' AND season=( SELECT season FROM seasons WHERE seasonname='Frittstående' )),
   2, 0,
   (SELECT player FROM players WHERE nick='Sesse'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   7741);
commit;
